/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
*
*/
package net.northking.cctp.testbug.db.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import net.northking.cctp.common.db.entity.Entity;
import net.northking.cctp.common.saas.db.TenantPartition;

import javax.validation.constraints.Size;
import java.util.Date;


/**
 * 缺陷变更记录表
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！  <br>
 * createdate:  2021-11-09 13:48:58  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@ApiModel(description = "缺陷变更记录表")
public class BugRecord extends TenantPartition implements Entity
{
  public static final String KEY_recordId = "recordId";
  public static final String KEY_bugId = "bugId";
  public static final String KEY_recordField = "recordField";
  public static final String KEY_recordValue = "recordValue";
  public static final String KEY_updatedBy = "updatedBy";
  public static final String KEY_updatedTime = "updatedTime";
  public static final String KEY_createdBy = "createdBy";
  public static final String KEY_createdTime = "createdTime";
  public static final String KEY_tenantId = "tenantId";

  /**
   * 记录id<br>
   */
  @ApiModelProperty("记录id")
  @Size(max = 50, message="记录id-recordId: 数据长度不能 > 50" )
  private String recordId;
  /**
   * 缺陷id<br>
   */
  @ApiModelProperty("缺陷id")
  @Size(max = 50, message="缺陷id-bugId: 数据长度不能 > 50" )
  private String bugId;
  /**
   * 变更字段<br>
   */
  @ApiModelProperty("变更字段")
  @Size(max = 50, message="变更字段-recordField: 数据长度不能 > 50" )
  private String recordField;
  /**
   * 变更值<br>
   */
  @ApiModelProperty("变更值")
  @Size(max = 300, message="变更值-recordValue: 数据长度不能 > 300" )
  private String recordValue;
  /**
   * 变更人<br>
   */
  @ApiModelProperty("变更人")
  @Size(max = 32, message="变更人-updatedBy: 数据长度不能 > 32" )
  private String updatedBy;
  /**
   * 变更时间<br>
   */
  @ApiModelProperty("变更时间")
  private Date updatedTime;
  /**
   * 创建人<br>
   */
  @ApiModelProperty("创建人")
  @Size(max = 32, message="创建人-createdBy: 数据长度不能 > 32" )
  private String createdBy;
  /**
   * 创建时间<br>
   */
  @ApiModelProperty("创建时间")
  private Date createdTime;
  /**
   * 租户id<br>
   */
  @ApiModelProperty("租户id")
  @Size(max = 32, message="租户id-tenantId: 数据长度不能 > 32" )
  private String tenantId;

  /**
   * 记录id<br>
   */
  public String getRecordId()
  {
      return recordId;
    }

  /**
   * 记录id<br>
   *
   * @param recordId 记录id
   */
  public void setRecordId(String recordId)
  {
      this.recordId = recordId;
    }
  /**
   * 缺陷id<br>
   */
  public String getBugId()
  {
      return bugId;
    }

  /**
   * 缺陷id<br>
   *
   * @param bugId 缺陷id
   */
  public void setBugId(String bugId)
  {
      this.bugId = bugId;
    }
  /**
   * 变更字段<br>
   */
  public String getRecordField()
  {
      return recordField;
    }

  /**
   * 变更字段<br>
   *
   * @param recordField 变更字段
   */
  public void setRecordField(String recordField)
  {
      this.recordField = recordField;
    }
  /**
   * 变更值<br>
   */
  public String getRecordValue()
  {
      return recordValue;
    }

  /**
   * 变更值<br>
   *
   * @param recordValue 变更值
   */
  public void setRecordValue(String recordValue)
  {
      this.recordValue = recordValue;
    }
  /**
   * 变更人<br>
   */
  public String getUpdatedBy()
  {
      return updatedBy;
    }

  /**
   * 变更人<br>
   *
   * @param updatedBy 变更人
   */
  public void setUpdatedBy(String updatedBy)
  {
      this.updatedBy = updatedBy;
    }
  /**
   * 变更时间<br>
   */
  public Date getUpdatedTime()
  {
      if(updatedTime != null)
    {
      return (Date)updatedTime.clone();
    }
    return null;
    }

  /**
   * 变更时间<br>
   *
   * @param updatedTime 变更时间
   */
  public void setUpdatedTime(Date updatedTime)
  {
      if(updatedTime != null)
    {
      this.updatedTime = (Date)updatedTime.clone();
    }
    }
  /**
   * 创建人<br>
   */
  public String getCreatedBy()
  {
      return createdBy;
    }

  /**
   * 创建人<br>
   *
   * @param createdBy 创建人
   */
  public void setCreatedBy(String createdBy)
  {
      this.createdBy = createdBy;
    }
  /**
   * 创建时间<br>
   */
  public Date getCreatedTime()
  {
      if(createdTime != null)
    {
      return (Date)createdTime.clone();
    }
    return null;
    }

  /**
   * 创建时间<br>
   *
   * @param createdTime 创建时间
   */
  public void setCreatedTime(Date createdTime)
  {
      if(createdTime != null)
    {
      this.createdTime = (Date)createdTime.clone();
    }
    }
  /**
   * 租户id<br>
   */
  public String getTenantId()
  {
      return tenantId;
    }

  /**
   * 租户id<br>
   *
   * @param tenantId 租户id
   */
  public void setTenantId(String tenantId)
  {
      this.tenantId = tenantId;
    }

  public BugRecord()
  {
  }

}
